#encoding: UTF-8
=begin
/***************************************************************************
 *   Copyright (c) 2011, Michael Uplawski <michael.uplawski@uplawski.eu>   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

 A test and demo for the BusyIndicator.
 This does not use the final BusyIndicator but directly creates
 a Thread.
=end
require './color_output'

def clean_busy_indicator(thr, width, comment)
  thr.terminate
  thr.join
  print ("\b" * width)
  print ("%+#{width}s\n" %comment)
end

def busy_indicator(width)
  tobj = Thread.new() do
    loop do 
      %w"OOO ooo ___ ooo".each do |s|
        print "%+#{width}s" %s
        sleep 0.1
        print ("\b" * width)
      end
    end
  end
end
# =======================
if($0 == __FILE__)
  width = 20
  2.times do
    puts "I am busy, pse wait..."
    thr = busy_indicator(width)
    sleep 3
    clean_busy_indicator(thr, width, "Okay")
  end
end

